competencies:
  - Software Development
  - Software Architecture
  - UI/UX Design
  - Full-Stack Development
  - Team Leadership
  - Recruitment and Onboarding
  - Web Application Development
  - Cloud Hosting (AWS, GCP)
  - Database Management
  - User Interface Design
  - Project Management
education:
  - 10 GCSEs @ Duchess Community High School
certifications:
  - Sitecore Professional Developer Certification (Sitecore 8.2) - Aug. 2017
languages:
  - name: English
    proficiency: Native
  - name: German
    proficiency: Professional Working Proficiency
  - name: Arabic (Levantine)
    proficiency: Elementary
experience:
  - position: Lead Consultant
    employer: Hippo
    start: Feb. 2024
    end: Present
    desc: >-
      * Directly line manage 2 other engineers

      * Worked as the Technical Lead on a UK public sector project for the Department for Education (DfE)
          * Directly managed a 7-man, cross-functional technical team including engineers, testers and technical architects
          * Planned and implemented a migration from a 10+ repo microservice architecture to a monolothic monorepo, making it easier to develop and deploy changes
          * Cut deployment times from 1-2 days to 20 minutes on average
          * Designed and documented architectural changes in line with GDS architectural and technology standards
    skills: "ASP.NET Core · Microsoft Azure · Azure Data Factory · Git · C# · Full-Stack Development · Umbraco · Web Development · Microsoft SQL Server · Cloud Development ·  Microservices · Technical Requirements · Agile Methodologies"
  - position: Software Development Tutor
    employer: Yarbz Digital Ltd
    start: Sep. 2023
    end: Mar. 2024
    desc: I taught students of all levels modern software development, including
      coding fundamentals, computer science theory and modern software
      technologies.
  - position: Freelance Software Consultant
    employer: Yarbz Digital Ltd
    start: Aug. 2021
    end: Mar. 2024
    desc: >-
      * Designed the architecture for and developed the MVP for a recruitment platform and accompanying browser extension, which was used to pull in and process 1,000+ user profiles, proving its feasibility

      * Developed Fifty Five and Five's flagship website (fiftyfiveandfive.com), improving their Google PageSpeed Insights score to near-100s across the board (Performance, Accessibility, Best Practices and SEO)

      * Built front-end of sportank.com, a social network for American Football enthusiasts and athletes

      * Designed and built a proof-of-concept gRPC web client, proving real-time voice input streaming from web browsers to medical speech recognition software.

      * Maintained and improved the Integra Planner event management platform used by thousands of people for multi-day event
    skills: "ASP.NET · Amazon Elastic Container Registry (ECR) · Angular · TypeScript · Amazon ECS · Python (Programming Language) · Node.js · ASP.NET MVC · Content Management Systems (CMS) · Amazon Web Services (AWS) · Next.js · Microsoft Azure · Git · React.js · C# · Full-Stack Development · Umbraco · WordPress · Web Development · JavaScript · Front-End Development · MySQL · Microsoft SQL Server · Cloud Development · PHP · NoSQL · AWS Lambda · HTML · Microservices · Technical Requirements · Firebase · ASP.NET Core · Agile Methodologies · Google Cloud Platform (GCP) · MongoDB · User Interface Programming"
  - position: Contract Software Engineer
    employer: The Data Shed
    start: Jan. 2023
    end: Aug. 2023
    desc: >-
      * Designed and built the front-end of a bespoke fund recovery system, which allowed more than 100,000 customers affected to recover funds lost by loan mis-selling
    skills: "Amazon Elastic Container Registry (ECR) · TypeScript · Amazon ECS · Tailwind CSS · Node.js · Amazon Web Services (AWS) · Next.js · React.js · docker · Front-End Development · NoSQL · AWS Lambda · HTML · Agile Methodologies · User Interface Programming"
  - position: Software Architect
    employer: T101
    start: Feb. 2020
    end: Jul. 2021
    desc: >-
      * Lead on the complete platform re-architecture and development for Recon, UK-based dating app with 200,000 monthly active users

      * Directly managed a team of 5 software engineers

      * Architected and lead on the implementation of key features, including authentication, authorisation, instant messaging, user profiles, galleries, and geocoding


    skills: "ASP.NET · Angular · TypeScript · Amazon ECS · ASP.NET MVC · Kubernetes · Amazon Web Services (AWS) · Git · C# · Full-Stack Development · Web Development · JavaScript · Front-End Development · MySQL · Microsoft SQL Server · Cloud Development · NoSQL · HTML · .NET Core · Microservices · Technical Requirements · ASP.NET Core · Agile Methodologies · Google Cloud Platform (GCP) · User Interface Programming"
  - position: Senior Software Developer
    employer: Datatrial
    start: Apr. 2019
    end: Feb. 2020
    desc: >-
      * Worked on developing new/improving existing functional modules for
      Datatrial's Nucleus offering, which aims to provide a web platform for
      facilitating clinical trials.


    skills: "ASP.NET · TypeScript · ASP.NET MVC · Git · C# · Full-Stack Development · Web Development · JavaScript · Front-End Development · MySQL · Microsoft SQL Server · Aurelia · HTML · Agile Methodologies · User Interface Programming"
  - position: Software Engineer
    employer: pipdig
    start: Aug 2018
    end: Apr 2019
    desc: >-
      * Developing a mix of commercial sites and bespoke blogs, I was
      responsible for the entire product life-cycle. This included requirements
      gathering, development, management of the project and ultimately
      delivering and maintaining the product. Responsibilities also included
      improving internal software development practices and working to increase
      efficiency across a wide range of small, fast-paced projects.


    skills: "TypeScript · Content Management Systems (CMS) · Git · Full-Stack Development · WordPress · Web Development · JavaScript · Front-End Development · MySQL · Microsoft SQL Server · Cloud Development · PHP · HTML · Agile Methodologies · User Interface Programming"
  - position: Senior Software Developer
    employer: The Works
    start: Apr. 2018
    end: Aug. 2018
    desc: >-
      * I was the sole developer for an event management platform at Newcastle
      University, enhancing it by developing key features.


    skills: "ASP.NET · ASP.NET MVC · Content Management Systems (CMS) · Git · C# · Full-Stack Development · Web Development · JavaScript · Front-End Development · Microsoft SQL Server · HTML · Agile Methodologies · User Interface Programming · Umbraco"
  - position: Software Developer
    employer: Orangebus
    start: Jan. 2017
    end: Apr. 2018
    desc: >-
      * My responsibilities involved developing and managing a variety of
      different projects across different industries.


    skills: "ASP.NET MVC · Git · C# · Full-Stack Development · JavaScript · Front-End Development · Microsoft SQL Server · HTML · Agile Methodologies · User Interface Programming"
  - position: Junior Software Developer
    employer: True Potential LLP
    start: Oct. 2015
    end: Dec. 2016
    desc: >-
      * Primarily a web developer, my responsibilities included developing
      interactivity on the front-end, back-end services and designing database
      structures for large-scale web applications that are in-use by over 2
      million clients as of November 2016.


    skills: "ASP.NET MVC · Git · C# · Full-Stack Development · Web Development · JavaScript · Visual Basic .NET (VB.NET) · Front-End Development · Microsoft SQL Server · HTML · Agile Methodologies · User Interface Programming"
  - position: IT Support / Trainee Software Developer
    employer: Innovation Property (UK)
    start: Jan. 2013
    end: Sep. 2015
    desc: >-
      * I worked as an IT Support Technician and Developer Trainee. My
      responsibilities included dealing with IT issues via an IT help desk
      system. I also worked on improvements to internally-developed software
      that was used by our Arboricultural staff. I also provided updates to an
      internal MVC application used by office staff to log data, arrange
      appointments for external staff and contact clients.


    skills: "ASP.NET MVC · Git · C# · Full-Stack Development · JavaScript · Front-End Development · Microsoft SQL Server · HTML · Agile Methodologies · User Interface Programming"
